; NOP Macro
; cod/HackingTeam
; Metastasi 0.1

m_push MACRO reg
	LOCAL b_instr, b_end

	b_instr:
		push reg
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_pop MACRO reg
	LOCAL b_instr, b_end

	b_instr:
		pop reg
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_mov MACRO reg1, reg2
	LOCAL b_instr, b_end

	b_instr:
		mov reg1, reg2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM
		
m_add MACRO reg1, reg2
	LOCAL b_instr, b_end

	b_instr:
		add reg1, reg2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_inc MACRO dst
	LOCAL b_instr, b_end

	b_instr:
		inc dst
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_dec MACRO dst
	LOCAL b_instr, b_end

	b_instr:
		dec dst
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_sub MACRO reg1, reg2
	LOCAL b_instr, b_end

	b_instr:
		sub reg1, reg2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_rep MACRO instr
	LOCAL b_instr, b_end

	b_instr:
		rep instr
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM


m_call MACRO handler
	LOCAL b_instr, b_end

	b_instr:
		call handler
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM


m_instr MACRO opcode
	LOCAL b_instr, b_end

	b_instr:
		opcode
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_cmp MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		cmp op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_ja MACRO addr
	LOCAL b_instr, b_end

	b_instr:
		ja addr
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_jz MACRO addr
	LOCAL b_instr, b_end

	b_instr:
		jz addr
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM


m_xor MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		xor op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_or MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		or op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_and MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		and op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_idiv MACRO op1
	LOCAL b_instr, b_end

	b_instr:
		idiv op1
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_jmp MACRO addr
	LOCAL b_instr, b_end

	b_instr:
		jmp addr
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_jnz MACRO addr
	LOCAL b_instr, b_end

	b_instr:
		jnz addr
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM


m_test MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		test op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_shr MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		shr op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

m_shl MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		shl op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM


m_movzx MACRO op1, op2
	LOCAL b_instr, b_end

	b_instr:
		movzx op1, op2
	
IFNDEF _DEBUG
	b_end:
		db 10 - (b_end - b_instr) dup (90h)
ENDIF
ENDM

INT03 MACRO
	IFNDEF _DEBUG
		db 0CCh
	ENDIF
ENDM


